org.licas.ws.wsdl.model

## Class WsdlParamInfo

- java.lang.Object
- - org.licas.call.ParamInfo
  - - org.licas.ws.wsdl.model.WsdlParamInfo

-     public class WsdlParamInfo
      extends ParamInfo

  This class stores parameter details for a web services message.
  Author:
    Kieran Greer

- - ### Field Summary

    - ### Fields inherited from class org.licas.call.ParamInfo

      `name, type, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlParamInfo()` Creates a new instance of WsdlParamInfo.
    `WsdlParamInfo(java.lang.String thisName)` Creates a new instance of WsdlParamInfo.
    `WsdlParamInfo(java.lang.String thisName, java.lang.Object valueObj)` Creates a new instance of WsdlParamInfo.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addChildElement(WsdlParamInfo thisChildElement)` Add a child element to the list of child elements.
    `void` | `clearChildElements()` Clear the child elements list.
    `java.lang.Object` | `clone()` Get a clone of this object.
    `WsdlParamInfo` | `cloneEmptyValue()` Get a clone of this object.
    `void` | `fromElement(org.licas_xml.abs.Element rootElem)` Set the values in this ParamInfo object from the XML-based description.
    `WsdlParamInfo` | `getChildElement(java.lang.String paramName)` Get the child element with the specified name.
    `java.util.ArrayList<WsdlParamInfo>` | `getChildElements()` Get the list of child elements.
    `java.lang.String` | `getDocumentation()` Get the service documentation.
    `java.lang.String` | `getElement()` Get the element name.
    `java.lang.String` | `getInOut()` Get the value describing in an input or output parameter.
    `java.lang.String` | `getNamespace()` Get the parameter namespace.
    `java.lang.String` | `getTypeElement()` This represents a simple or a complex parameter type.
    `boolean` | `hasChildren()` Return true if this param info object has child elements.
    `boolean` | `removeChildElement(java.lang.String paramName)` Remove the child element with the specified name.
    `void` | `setDocumentation(java.lang.String theDocumentation)` Set the description of the service.
    `void` | `setElement(java.lang.String thisElement)` Set the element name.
    `void` | `setInOut(java.lang.String thisInOut)` Set the value describing if an input or output parameter.
    `void` | `setNamespace(java.lang.String thisNamespace)` Set the parameter namespace.
    `java.lang.String` | `toDisplayString(java.lang.String indent)` Get a String-based description of this object that can be displayed.
    `org.licas_xml.abs.Element` | `toElement()` Convert the parameter description to an xml element.
    `java.lang.String` | `ToString()` Get a String description of this object.

    - ### Methods inherited from class org.licas.call.ParamInfo

      `getName, getType, getValue, resetValue, setAddValue, setName, setType, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlParamInfo

          public WsdlParamInfo()

      Creates a new instance of WsdlParamInfo.

    - #### WsdlParamInfo

          public WsdlParamInfo(java.lang.String thisName)

      Creates a new instance of WsdlParamInfo.
      Parameters:
        `thisName` - the parameter name.

    - #### WsdlParamInfo

          public WsdlParamInfo(java.lang.String thisName,
                               java.lang.Object valueObj)

      Creates a new instance of WsdlParamInfo.
      Parameters:
        `thisName` - the parameter name.
        `valueObj` - a value to add to values.

  - ### Method Detail

    - #### hasChildren

          public boolean hasChildren()

      Return true if this param info object has child elements.
      Returns:
        true if childElements is not empty, false otherwise.

    - #### setDocumentation

          public void setDocumentation(java.lang.String theDocumentation)

      Set the description of the service.
      Parameters:
        `theDocumentation` - the service documentation.

    - #### getDocumentation

          public java.lang.String getDocumentation()

      Get the service documentation.
      Returns:
        the value of documentation.

    - #### setInOut

          public void setInOut(java.lang.String thisInOut)

      Set the value describing if an input or output parameter.
      Parameters:
        `thisInOut` - the input/output parameter value.

    - #### getInOut

          public java.lang.String getInOut()

      Get the value describing in an input or output parameter.
      Returns:
        the value of inOut.

    - #### setElement

          public void setElement(java.lang.String thisElement)

      Set the element name.
      Parameters:
        `thisElement` - the element name.

    - #### getElement

          public java.lang.String getElement()

      Get the element name.
      Returns:
        the value of element.

    - #### getTypeElement

          public java.lang.String getTypeElement()

      This represents a simple or a complex parameter type. If the type is set return this, otherwise if the element part is not null return this.
      Returns:
        the value of type first, or element if null.

    - #### setNamespace

          public void setNamespace(java.lang.String thisNamespace)

      Set the parameter namespace.
      Parameters:
        `thisNamespace` - the namespace for the parameter.

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the parameter namespace.
      Returns:
        the value of namespace.

    - #### clearChildElements

          public void clearChildElements()

      Clear the child elements list.

    - #### addChildElement

          public boolean addChildElement(WsdlParamInfo thisChildElement)

      Add a child element to the list of child elements. If a child element with the same name already exists then this parameter is not added.
      Parameters:
        `thisChildElement` - the element to add.
      Returns:
        true if added, false otherwise.

    - #### getChildElements

          public java.util.ArrayList<WsdlParamInfo> getChildElements()

      Get the list of child elements.
      Returns:
        the value of childElements.

    - #### getChildElement

          public WsdlParamInfo getChildElement(java.lang.String paramName)

      Get the child element with the specified name.
      Parameters:
        `paramName` - the parameter name.
      Returns:
        the child element with the specified name, or null if none exist.

    - #### removeChildElement

          public boolean removeChildElement(java.lang.String paramName)

      Remove the child element with the specified name.
      Parameters:
        `paramName` - the parameter name.
      Returns:
        true if removed or false if it does not exist.

    - #### toElement

          public org.licas_xml.abs.Element toElement()
                                              throws java.lang.Exception

      Convert the parameter description to an xml element.
      Overrides:
        `toElement` in class `ParamInfo`
      Returns:
        the parameter description as an xml element.
      Throws:
        `java.lang.Exception` - any error.

    - #### fromElement

          public void fromElement(org.licas_xml.abs.Element rootElem)
                           throws java.lang.Exception

      Set the values in this ParamInfo object from the XML-based description.
      Overrides:
        `fromElement` in class `ParamInfo`
      Parameters:
        `rootElem` - the root element with the specific parameter values.
      Throws:
        `java.lang.Exception` - any error.

    - #### toDisplayString

          public java.lang.String toDisplayString(java.lang.String indent)

      Get a String-based description of this object that can be displayed.
      Parameters:
        `indent` - indentation for formatting purposes.
      Returns:
        a description of the contents of this object.

    - #### ToString

          public java.lang.String ToString()

      Get a String description of this object.
      Returns:
        a description of the contents of this object.

    - #### cloneEmptyValue

          public WsdlParamInfo cloneEmptyValue()

      Get a clone of this object. This is a deep clone, but without any actual values.
      Returns:
        a clone copy of this object

    - #### clone

          public java.lang.Object clone()

      Get a clone of this object. This is a deep clone, but some values may be references.
      Overrides:
        `clone` in class `ParamInfo`
      Returns:
        a clone copy of this object